Package org.eclipse.ui

## Interface IPartListener

All Known Implementing Classes:
  `AbstractDebugView`, `ContentOutline`, `LabelRetargetAction`, `PageBookView`, `PartEventAction`, `PropertySheet`, `RetargetAction`, `TemplatesView`

    public interface IPartListener

Interface for listening to part lifecycle events.

This interface may be implemented by clients.

See Also:
  `IPartService.addPartListener(IPartListener)`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `partActivated​(IWorkbenchPart part)` Notifies this listener that the given part has been activated.
`void` `partBroughtToTop​(IWorkbenchPart part)` Notifies this listener that the given part has been brought to the top.
`void` `partClosed​(IWorkbenchPart part)` Notifies this listener that the given part has been closed.
`void` `partDeactivated​(IWorkbenchPart part)` Notifies this listener that the given part has been deactivated.
`void` `partOpened​(IWorkbenchPart part)` Notifies this listener that the given part has been opened.

### Method Detail

#### partActivated

    void partActivated​(IWorkbenchPart part)

Notifies this listener that the given part has been activated.

Parameters:
  `part` - the part that was activated
See Also:
  `IWorkbenchPage.activate(org.eclipse.ui.IWorkbenchPart)`

#### partBroughtToTop

    void partBroughtToTop​(IWorkbenchPart part)

Notifies this listener that the given part has been brought to the top.

These events occur when an editor is brought to the top in the editor area, or when a view is brought to the top in a page book with multiple views. They are normally only sent when a part is brought to the top programmatically (via `IPerspective.bringToTop`). When a part is activated by the user clicking on it, only `partActivated` is sent.

Parameters:
  `part` - the part that was surfaced
See Also:
  `IWorkbenchPage.bringToTop(org.eclipse.ui.IWorkbenchPart)`

#### partClosed

    void partClosed​(IWorkbenchPart part)

Notifies this listener that the given part has been closed.

Parameters:
  `part` - the part that was closed
See Also:
  `IWorkbenchPage.hideView(IViewPart)`

#### partDeactivated

    void partDeactivated​(IWorkbenchPart part)

Notifies this listener that the given part has been deactivated.

Parameters:
  `part` - the part that was deactivated
See Also:
  `IWorkbenchPage.activate(IWorkbenchPart)`

#### partOpened

    void partOpened​(IWorkbenchPart part)

Notifies this listener that the given part has been opened.

Parameters:
  `part` - the part that was opened
See Also:
  `IWorkbenchPage.showView(String)`